Subject: "lseek/write char driver" versus "usermode iomem access"

From: Josef Angermeier <[email-masked]>
Date: Wed, 29 Mar 2006 10:22:30 +0200

Hello,

besides adapting linux to my custom board, i now have to write a driver 
for a special device. This device mainly consists of an up to 512 bytes 
big IO memory. Because performance matters alot, i wonder if i shall 
write a simple char driver offering a write/lseek-interface to access 
this memory or if i shall do something new to me, mapping the IO-memory 
to the userspace, so that the user-program can directly access the 
device memory. Can anyone tell me how performance probably differs 
between those two design.

Thanks, you probably save me alot of time to tryout!

Josef